summaryrefslogtreecommitdiffstats
path: root/development/slibtool
diff options
context:
space:
mode:
Diffstat (limited to 'development/slibtool')
-rw-r--r--development/slibtool/README13
-rw-r--r--development/slibtool/slack-desc2
-rw-r--r--development/slibtool/slibtool.SlackBuild51
-rw-r--r--development/slibtool/slibtool.info8
4 files changed, 45 insertions, 29 deletions
diff --git a/development/slibtool/README b/development/slibtool/README
index de43a122ff..6cf32a6c9b 100644
--- a/development/slibtool/README
+++ b/development/slibtool/README
@@ -1,17 +1,18 @@
slibtool is an independent reimplementation of the widely used libtool,
written in C. slibtool is designed to be a clean, fast, easy-to-use.
-slibtool maintains compatibility with libtool in nearly every aspect of
-the tool's functionality as well as semantics, leaving out (or turning
-into a no-op) only a small number of features that are no longer needed
-on modern systems.
+slibtool maintains compatibility with libtool in nearly every aspect
+of the tool's functionality as well as semantics, leaving out (or
+turning into a no-op) only a small number of features that are no
+longer needed on modern systems.
This does not conflict with GNU libtool included with Slackware.
To use slibtool instead of libtool export this to your environment.
export MAKEFLAGS='LIBTOOL=rlibtool'
-This symlink should work in most cases by parsing the generated libtool
-to determine if shared libraries and / or static archives will be built.
+This symlink should work in most cases by parsing the generated
+libtool to determine if shared libraries and / or static archives
+will be built.
To force building both shared libraries and static archives:
export MAKEFLAGS='LIBTOOL=slibtool'
diff --git a/development/slibtool/slack-desc b/development/slibtool/slack-desc
index 5406416ad1..6f7b20034d 100644
--- a/development/slibtool/slack-desc
+++ b/development/slibtool/slack-desc
@@ -12,7 +12,7 @@ slibtool: slibtool is an independent reimplementation of the widely used
slibtool: libtool, written in C. slibtool is designed to be a clean, fast,
slibtool: easy-to-use written in C.
slibtool:
-slibtool: Homepage: https://midipix.org/
+slibtool: Homepage: https://git.foss21.org/slibtool
slibtool:
slibtool:
slibtool:
diff --git a/development/slibtool/slibtool.SlackBuild b/development/slibtool/slibtool.SlackBuild
index 5f0e4abdfa..3ec05e72a9 100644
--- a/development/slibtool/slibtool.SlackBuild
+++ b/development/slibtool/slibtool.SlackBuild
@@ -1,8 +1,8 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for slibtool
-# Copyright 2017-2018 Hunter Sezen California, USA
+# Copyright 2017-2018, 2020-2021 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,10 +22,13 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=slibtool
-VERSION=${VERSION:-0.5.28}
+VERSION=${VERSION:-0.5.33}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -35,7 +38,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -69,24 +79,29 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-[ "${DEBUG:=0}" != 0 ] && \
+[ "${DEBUG:=0}" = 0 ] ||
SLKCFLAGS="$(printf %s "$SLKCFLAGS" | sed 's/-O2/-O0 -g/')"
-CFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --disable-static \
- --enable-shared \
- --pkgdurl='https://slackbuilds.org/apps/slibtool/' \
- --build=$ARCH-slackware-linux
+(
+ mkdir -p build
+ cd build
+
+ CFLAGS="$SLKCFLAGS" \
+ ../configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --disable-static \
+ --enable-shared \
+ --pkgdurl='https://slackbuilds.org/apps/slibtool/' \
+ --build=$ARCH-slackware-linux
-make
-make install DESTDIR=$PKG
+ make
+ make install DESTDIR=$PKG
+)
if [ "$DEBUG" = 0 ]; then
- find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" |
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
fi
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
@@ -97,4 +112,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/slibtool/slibtool.info b/development/slibtool/slibtool.info
index 7e43d934ad..fe4bd36888 100644
--- a/development/slibtool/slibtool.info
+++ b/development/slibtool/slibtool.info
@@ -1,8 +1,8 @@
PRGNAM="slibtool"
-VERSION="0.5.28"
-HOMEPAGE="https://midipix.org/"
-DOWNLOAD="https://midipix.org/dl/slibtool/slibtool-0.5.28.tar.xz"
-MD5SUM="883be5442b95bcc954cc0c82023d9e7f"
+VERSION="0.5.33"
+HOMEPAGE="https://git.foss21.org/slibtool"
+DOWNLOAD="https://dl.foss21.org/slibtool/slibtool-0.5.33.tar.xz"
+MD5SUM="aa8e3343b5beac879fe063d9dc9f8773"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""